FactoryBot.define do
  factory :import do
    association :project
  end

  trait :with_file do
    file do
      path = Rails.root.join("spec", "fixtures", "files", "contract.pdf")
      Rack::Test::UploadedFile.new(path, "application/pdf")
    end
  end
end
